<template>
  <view class="workHourManagementOne">
    <view class="head">
      请选择工时分类
    </view>
    <view class="body" v-if="dataInfo.list.length">
      <view class="body_item ellipsis" v-for="data in dataInfo.list" :key="data.id" @click="toWorkHourManagementTwo(data)">
        {{data.workName}}
      </view>
    </view>
    <view class="zanwu" v-else>
      <text class="newicon newicon-zanwu"></text>
    </view>
    <view class="foot_common_btns">
      <button @click="goBack" type="default" class="primaryButton btn">返回</button>
    </view>
  </view>
</template>

<script setup>
  import { ref, reactive} from 'vue'
  import { onLoad, onPullDownRefresh, onReachBottom } from '@dcloudio/uni-app'
  import { api_workHourManagement,getFetchDataList } from "@/http/api.js"
  import { defaultColor } from '@/static/js/theme.js'
  import { useSetTitle } from '@/share/useSetTitle.js'
  import { useLoginUserStore } from '@/stores/loginUser'
  import { useGoBack } from '@/share/useGoBack.js'
  
  useSetTitle();
  const loginUserStore = useLoginUserStore();
  const { goBack }  = useGoBack();
  
  // 主题颜色
  const primaryColor = ref(defaultColor)
  
  // 数据
  const dataInfo = reactive({
    list: [],//工单列表
    idx: 0,//页码
    hasMore: true,//是否有更多数据
    incidentId: undefined,//事件ID
    summaryId: undefined,//汇总单ID
		hosId:null //工单责任科室
  })
  
  // 跳转二级工时管理列表
  function toWorkHourManagementTwo(data){
    uni.navigateTo({
      url: `/pages/workHourManagementTwo/workHourManagementTwo?incidentId=${dataInfo.incidentId}&summaryId=${dataInfo.summaryId}&parentId=${data.id}&parentName=${data.workName}&hosId=${dataInfo.hosId}`
    })
  }
  
  // 获取列表信息
  function getList(idx){
    uni.showLoading({
      title: "加载中",
      mask: true,
    });
    
    dataInfo.idx = idx === undefined ? dataInfo.idx : idx;
    if(dataInfo.idx === 0){
      dataInfo.list = [];
    }

    let postData = {
      idx: dataInfo.idx,
      sum: 9999,
      workHourManagement: {
        treeLevel: 1,
				hosId:dataInfo.hosId,
      }
    }
    getFetchDataList("simple/data", "workHourManagement", postData).then(res => {
      uni.hideLoading();
      uni.stopPullDownRefresh();
      if(res.status == 200){
        let list = res.list || [];
				dataInfo.list = list
        // if(list.length){
        //   dataInfo.hasMore = true;
        //   dataInfo.list = dataInfo.idx === 0 ? list : dataInfo.list.concat(list);
        // }else{
        //   dataInfo.hasMore = false;
        // }
      }else{
        uni.showToast({
          icon: 'none',
          title: res.msg || '请求数据失败！'
        });
      }
    })
  }
	
  onLoad((option) => {
    dataInfo.incidentId = option.incidentId;
    dataInfo.summaryId = option.summaryId;
		dataInfo.hosId = option.hosId;
		getList(0);
  })
  
  onPullDownRefresh(() => {
    getList(0)
  })
  
  onReachBottom(() => {
    // dataInfo.idx += 1;
    // if (dataInfo.hasMore) {
    //   getList(); // 当触底时加载更多数据
    // }
  })
</script>

<style lang="scss" scoped>
.workHourManagementOne{
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  .head{
    height: 88rpx;
    display: flex;
    align-items: center;
    padding: 0 24rpx;
    position: fixed;
    z-index: 99;
    width: 100%;
    box-sizing: border-box;
    background: #fff;
    font-size: 26rpx;
    color: $uni-primary;
  }
  .body{
    border-top: 1rpx solid #DEDEDE;
    margin-bottom: 140rpx;
    margin-top: 88rpx;
    font-size: 26rpx;
    .body_item{
      border-bottom: 1rpx solid #DEDEDE;
      padding: 24rpx;
    }
  }
  .zanwu{
    margin-bottom: 140rpx;
    margin-top: 88rpx;
    display: flex;
    justify-content: center;
    .newicon-zanwu{
      font-size: 256rpx;
      color: #D6D6D6;
      margin-top: 140rpx;
    }
  }
  .foot_common_btns{
    position: fixed;
    left: 0;
    bottom: 0;
    background-color: #fff;
  }
}
</style>
